Bug 48654 - Add a visual indication when there are non-printable characters on the end of line
Summary: Add a visual indication when there are non-printable characters on the end of...
Status: RESOLVED DUPLICATE of bug 43244
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: All All
: lowest enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-13 09:49 UTC by Peng Wang
Modified: 2014-06-15 11:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Non-print end-of-line character display in MS Office (5.04 KB, image/png)
2012-05-02 11:44 UTC, Peng Wang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peng Wang 2012-04-13 09:49:26 UTC
It was indicated that this bug was fixed in Libreoffice 3.5 release note:

http://wiki.documentfoundation.org/File:Non_printable.png

But it works only when the text is in "align left" style.

Under any circumstances it is inconsistent when spaces in the text are not shown. Because when the text flow changes those spaces will be shown again in the middle of line unexpectedly and disrupt quality and layout of the document.
Comment 1 Peng Wang 2012-04-14 14:32:39 UTC
(In reply to comment #0)
> It was indicated that this bug was fixed in Libreoffice 3.5 release note:
> 
> http://wiki.documentfoundation.org/File:Non_printable.png
> 
> But it works only when the text is in "align left" style.
> 
> Under any circumstances it is inconsistent when spaces in the text are not
> shown. Because when the text flow changes those spaces will be shown again in
> the middle of line unexpectedly and disrupt quality and layout of the document.

I want to add that I understand the spaces at the end of line shouldn't be visible in print out.

MS office's solution is to put those spaces beyond the text/page margin. Libreoffice should come up with a similar or better solution.

The current behaviour is also anti-intuitive. Imagine that I type a word near the end of line, then I type a space but suddenly the cursor doesn't move.

--- For a new comer he will - intuitively try to type space again but cursor still not move. Well in his first impression that the software is buggy.

--- For me I have to tell myself - the last space I typed is really there and I didn't typed it multiple times and keep typing next word which will appear next line.

I think that if this problem can be fixed, the office suite will feel much more polished.
Comment 2 Peng Wang 2012-05-02 11:44:25 UTC
Created attachment 60919 [details]
Non-print end-of-line character display in MS Office
Comment 3 Peng Wang 2012-05-02 11:46:18 UTC
Per the forum discussion I decide to reword a bit for this bug/request.

This is not a request to alter the behavior of Unicode Line Breaking Algorithm,
but to merely add a visual indication when there are non-printable characters
on the end of line.

Current behavior is not logical in two ways:

First, when type near the end of line the cursor doesn't respond to space key
stroke.
Second, when editing content pulled into a document from a source containing
excessive SPACE characters. 

This issue was improved in 3.5 but that only works when the text is
left-aligned.

A screen shot of how MS office to deal with this issue is attached.
Comment 4 bfoman (inactive) 2012-10-12 11:42:21 UTC
Rephrased summary slightly, changed other fields as this is general issue.
Comment 5 Joel Madero 2013-11-18 22:11:19 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.2.0.0.alpha0+ Build ID: 27ad2a5cff3ada93d321835a117959349edd5fa4
Date:   Sat Nov 16 20:32:43 2013 +0100
Platform: Bodhi Linux 2.2 x64

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Enhancement - 
Lowest - viewing non printing characters in of itself pretty rare, add the "need" to see far right end of line space characters seems like a rear request. Proof of this is no one commenting beyond someone from QA :)

Steps:
1. Write a long sentence (more than one line), ensure that the first line ends with a space (vs. a character)

2. Enable non printing characters (ctrl +f10)

3. Ensure that you see the space character at the end of the first line

4. Align the text to the right

Observed: You no longer see the end of the line non printed character

Expected: To still see an indication that there "is a space" at the end of the line (see png attached)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 6 Maris Nartiss 2014-02-17 19:10:43 UTC
(In reply to comment #5)
> Enhancement - 
> Lowest - viewing non printing characters in of itself pretty rare, add the
> "need" to see far right end of line space characters seems like a rear
> request. Proof of this is no one commenting beyond someone from QA :)
If a gazillion of whining "me too" comments are necessary to prove anything, here it goes:

Me too!!!!

Currently I'm going over a 200 page document in LO 4.2.0 and one of most common mistakes to fix is double or triple space induced by adding an extra invisible space at the end of line and later re-flowed by text changes into a middle of line. Formatting to the finest detail with visible non-printable characters might be rare but definitely it's not a rear thing ;)

On a side note - shouldn't this bug be merged with Bug 43244 or vice versa?
Comment 7 Simo Kaupinmäki 2014-06-15 11:12:55 UTC

*** This bug has been marked as a duplicate of bug 43244 ***